Note: Due to technical difficulties, the Archives are currently not up to date.
GMANE provides an alternative service for most mailing lists. c.f. bug 424647
List Archive: gentoo-commits
mr_bones_ 11/11/13 21:54:12
Modified: ChangeLog hatari-1.5.0.ebuild
Log:
build with newer zlib (bug #387829)
(Portage version: 2.1.10.11/cvs/Linux i686)
Revision Changes Path
1.32 games-emulation/hatari/ChangeLog
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-emulation/hatari/ChangeLog?rev=1.32&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-emulation/hatari/ChangeLog?rev=1.32&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-emulation/hatari/ChangeLog?r1=1.31&r2=1.32
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/games-emulation/hatari/ChangeLog,v
retrieving revision 1.31
retrieving revision 1.32
diff -u -r1.31 -r1.32
--- ChangeLog 24 Aug 2011 19:33:45 -0000 1.31
+++ ChangeLog 13 Nov 2011 21:54:12 -0000 1.32
@@ -1,6 +1,9 @@
# ChangeLog for games-emulation/hatari
# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/games-emulation/hatari/ChangeLog,v 1.31 2011/08/24 19:33:45 maekke Exp $
+# $Header: /var/cvsroot/gentoo-x86/games-emulation/hatari/ChangeLog,v 1.32 2011/11/13 21:54:12 mr_bones_ Exp $
+
+ 13 Nov 2011; Michael Sterrett <mr_bones_@g.o> hatari-1.5.0.ebuild:
+ build with newer zlib (bug #387829)
24 Aug 2011; Markus Meier <maekke@g.o> hatari-1.5.0.ebuild:
x86 stable, bug #380177
1.4 games-emulation/hatari/hatari-1.5.0.ebuild
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-emulation/hatari/hatari-1.5.0.ebuild?rev=1.4&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-emulation/hatari/hatari-1.5.0.ebuild?rev=1.4&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-emulation/hatari/hatari-1.5.0.ebuild?r1=1.3&r2=1.4
Index: hatari-1.5.0.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/games-emulation/hatari/hatari-1.5.0.ebuild,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- hatari-1.5.0.ebuild 24 Aug 2011 19:33:45 -0000 1.3
+++ hatari-1.5.0.ebuild 13 Nov 2011 21:54:12 -0000 1.4
@@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/games-emulation/hatari/hatari-1.5.0.ebuild,v 1.3 2011/08/24 19:33:45 maekke Exp $
+# $Header: /var/cvsroot/gentoo-x86/games-emulation/hatari/hatari-1.5.0.ebuild,v 1.4 2011/11/13 21:54:12 mr_bones_ Exp $
EAPI=2
inherit toolchain-funcs cmake-utils games
@@ -25,6 +25,8 @@
src_prepare() {
epatch "${FILESDIR}"/${P}-gentoo.patch
+ # build with newer zlib (bug #387829)
+ sed -i -e '1i#define OF(x) x' src/includes/unzip.h || die
rm -f doc/CMakeLists.txt
}
|
|